/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2011 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

  --
  -- Local constants and variables
  --
  l_sql varchar2(32000);

BEGIN

  --
  -- Register Query Organization Chart View Image and HTML
  --
  l_sql :=
'        SELECT *
        FROM   TABLE(xxas_org_views_pkg.get_img_html_view_tbl(:pViewName, :pPrimaryKeyId)) ';

  xxas_com_sr_pkg.seed_query_service
    (p_service_name      => 'QueryOrgViewImgHTML'
    ,p_securing_function => 'XXAS_SRV_Q_ORG_VIEW_IMG_PERM'
    ,p_sql               => l_sql
    ,p_parameters        => xxas_com_sr_param_varray
                              (xxas_com_sr_param_type('pViewName'    , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pPrimaryKeyId', xxas_com_sr_pkg.g_VARCHAR2)));

END;
/
COMMIT;
EXIT;
